/* stylelint-disable selector-class-pattern, custom-property-pattern, custom-property-empty-line-before, comment-empty-line-before */

.p-form .gf_page_steps {
  padding-bottom: calc(var(--spacing) * 1);
  border-bottom: 1px solid #fff;
  margin-bottom: calc(var(--spacing) * 1.5);
  display: flex;
  flex-wrap: wrap;
  row-gap: 0.5rem;
  column-gap: 1rem;
  justify-content: space-between;
}

.p-form .gf_page_steps .gf_step {
  font-weight: var(--v-font-weight-normal);
  display: flex;
  gap: 0.5rem;
  opacity: 0.3;
}

.p-form .gf_page_steps .gf_step.gf_step_active {
  opacity: 1;
}

.p-form .gf_page_steps .gf_step_number::after {
  content: ".";
}

.p-form fieldset.gfield,
.p-form fieldset.gfield_repeater {
  margin: 0;
  padding: 0;
  border: none;
}

.p-form .gfield_label {
  display: block;
  padding-bottom: 0.1rem;
}

.p-form .gfield--type-repeater.hidden_label fieldset.gfield_repeater legend,
.p-form .gform_required_legend,
.p-form .hidden_label > .gfield_label {
  display: none;
}

.p-form .gfield_radio {
  display: flex;
  flex-wrap: wrap;
  row-gap: 0.5rem;
  column-gap: 1.7rem;
  align-items: flex-start;
}

.p-form .gfield_radio > .gchoice,
.p-form .ginput_container_consent {
  display: flex;
  gap: 0.5rem;
  align-items: center;
}

.p-form .gform_fields,
.p-form .gfield_repeater_item {
  display: flex;
  flex-wrap: wrap;
  row-gap: var(--spacing);
  margin: 0 calc(var(--spacing) / 2 * -1);
  position: relative;
}

.p-form .gform_fields > .gfield,
.p-form .gfield_repeater_item > .gfield_repeater_cell {
  flex-basis: 100%;
  padding: 0 calc(var(--spacing) / 2);
}

.p-form .gfield--type-hidden {
  display: none;
}

.p-form .p-form__repeater--first-headers-only .gfield_repeater_item .gfield_label {
  display: none;
}

.p-form .p-form__repeater--first-headers-only .gfield_repeater_items > .gfield_repeater_item:first-child .gfield_label {
  display: block;
}

.p-form .gfield_repeater_items {
  display: flex;
  flex-wrap: wrap;
  row-gap: var(--spacing);
}

.p-form .gfield_repeater_item {
  flex-grow: 1;
  padding-bottom: var(--spacing-repeater-buttons);
}

.p-form .gfield_repeater_buttons {
  position: absolute;
  inset: auto calc(var(--spacing) / 2) 0 calc(var(--spacing) / 2);
  height: var(--spacing-repeater-buttons);
  display: flex;
  gap: 1rem;
  align-items: center;
  justify-content: flex-end;
}

.p-form button.add_repeater_item {
  cursor: pointer;
  border: none;
  background-color: transparent;
  padding: 0;
  margin: 0;
  color: inherit;
  font-size: 1rem;
  text-decoration: underline;
  text-underline-offset: 0.2em;
  display: none;
}

.p-form button.add_repeater_item:hover {
  text-decoration: none;
}

.p-form button.remove_repeater_item {
  cursor: pointer;
  width: auto;
  height: var(--spacing-repeater-buttons);
  aspect-ratio: 1 / 1;
  display: flex;
  align-items: center;
  justify-content: center;
  border: none;
  color: var(--color-error);
  background-color: var(--color-error--light);
  border-bottom-left-radius: var(--border-radius);
  border-bottom-right-radius: var(--border-radius);
}

.p-form button.remove_repeater_item:hover {
  color: var(--color-error--light);
  background-color: var(--color-error);
}

.p-form .gfield_repeater_items > .gfield_repeater_item:last-child button.add_repeater_item {
  display: block;
}

.p-form .gfield_repeater_items > .gfield_repeater_item:first-child button.remove_repeater_item {
  display: none;
}

.p-form .gform_footer,
.p-form .gform_page_footer {
  padding-top: var(--spacing);
  display: flex;
  gap: 1rem;
  align-items: center;
}

.p-form--no-rows-spacing .gform_footer,
.p-form--no-rows-spacing .gform_page_footer {
  padding-top: 0;
}

.p-form .gform_validation_errors,
.p-form .gform_validation_errors h2,
.p-form .gfield_description.validation_message {
  color: var(--color-error);
}

.p-form .gform_confirmation_message,
.p-form .gform_validation_errors {
  border-radius: var(--border-radius);
  padding: var(--spacing);
  font-weight: var(--v-font-weight-bold);
}

.p-form .gform_confirmation_message {
  background-color: var(--color-success--light);
  color: var(--color-success);
}

.p-form .gform_validation_errors {
  background-color: var(--color-error--light);
  margin-bottom: var(--spacing);
}

.p-form .gform_validation_errors h2 {
  margin: 0;
  font-size: 100%;
  font-weight: var(--v-font-weight-bold);
}

.p-form .gfield_description.validation_message {
  font-size: 1rem;
  background-color: var(--color-error--light);
  padding: calc(var(--spacing) / 4) calc(var(--spacing) / 2);
  font-weight: var(--v-font-weight-normal);
  border-bottom-left-radius: var(--border-radius);
  border-bottom-right-radius: var(--border-radius);
}

.p-form .gform_fileupload_rules {
  display: block;
  margin-top: 5px;
  font-size: 85%;
  font-style: italic;
}

.p-form .validation_message--hidden-on-empty {
  display: none;
}

.p-form__captcha-invisible {
  display: none !important;
}

.p-form__radio--alt1 .gchoice {
  flex: 0 0 100%;
  display: flex !important;
  align-items: flex-start;
  gap: 0.5rem;
}

.p-form--hide-required .gfield_required {
  display: none !important;
}

@media (min-width: 700px) {
  .p-form .gform_fields > .gfield--width-third {
    flex-basis: 33.33%;
  }

  .p-form .gform_fields > .gfield.gfield--width-half {
    flex-basis: 50%;
  }

  .p-form .gform_fields > .gfield--width-two-thirds {
    flex-basis: 66.66%;
  }
}
